%define module	XML-Sablotron
%define	name	perl-%{module}
%define version 1.01
%define release %mkrel 5

Summary:	Sablotron XSLT processor encapsulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
Requires:	libsablotron >= 0.95
BuildRequires:	libexpat-devel
BuildRequires:	libsablotron-devel >= 0.95
BuildRequires:	perl-devel 
BuildRequires:	libjs-devel
Requires:	perl 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The %{module} perl module encapsulates the Sablotron XSLT processor.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall_std}

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
%{_mandir}/*/*


%changelog
* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.01-5mdv2008.0
+ Revision: 36946
- rebuild for expat


* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-4mdv2007.0
+ Revision: 108395
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-Sablotron

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.01-3mdk
- Rebuild

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.01-2mdk
- add BuildRequires: libjs-devel

* Sat May 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.98-6mdk
- disable test

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-5mdk
- rebuild for new perl

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.98-4mdk
- rebuilt against new libsablotron
- msff

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98-3mdk
- own dir
- rebuild

